MESSAGES(3)

NAME
messages - libbash library that implements a set of functions to print standard status messages

SYNOPSIS
printOK
    [indent]
printFAIL
    [indent]
printNA
    [indent]
printATTN
    [indent]
printWAIT
    [indent]

DESCRIPTION

  General

messages is a collection of functions to print standard status messages - those [ OK ] and [FAIL] messages you see during Linux boot process.

The function list:
printOK
    Prints a standard [ OK ] message (green)
printFAIL
    Prints a standard [FAIL] message (red)
printNA
    Prints a standard [ N/A] message (yellow)
printATTN
    Prints a standard [ATTN] message (yellow)
printWAIT
    Prints a standard [WAIT] message (yellow)

Detailed interface description follows.

  indent
Column to move to before printing.

Default indent is calculated as TTY_WIDTH-10. If current tty width can not be determined (for example, in case of serial console), it defaults to 80, so default indent is 80-10=10

FUNCTIONS DESCRIPTIONS

  printOK indent
Prints a standard [ OK ] message (green)

  printFAIL indent
Prints a standard [FAIL] message (red)

  printNA indent
Prints a standard [ N/A] message (yellow)

  printATTN indent
Prints a standard [ATTN] message (yellow)

  printWAIT indent
Prints a standard [WAIT] message (yellow)

EXAMPLES
Run a program named MyProg, and report it's success or failure:

    echo -n 'Running MyProg...'
    printWAIT
    if MyProg ; then
    	printOK
    else
    	printFAIL
    fi

AUTHORS
Hai Zaar <haizaar@haizaar.com> Gil Ran <gil@ran4.net>

SEE ALSO
ldbash(1), libbash(1)